<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['net.ihe.gazelle.hpd.SystemUnderTestConfigurationProviderInformationD']}</h1>
                <s:decorate template="/sut/configurationsTable_common.xhtml">
                    <ui:param name="confman" value="#{provInfoDirSUTConfManager}"/>
                    <ui:param name="restrictAccess" value="#{true}"/>
                    <ui:define name="additionalText"/>
                    <ui:define name="filters">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterName" value="Name"/>
                            <ui:param name="filterId" value="name"/>
                            <ui:param name="filter" value="#{provInfoDirSUTConfManager.filter}"/>
                            <ui:param name="filterForm" value="globalForm"/>
                        </ui:include>
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterName" value="System name"/>
                            <ui:param name="filterId" value="system"/>
                            <ui:param name="filter" value="#{provInfoDirSUTConfManager.filter}"/>
                            <ui:param name="filterForm" value="globalForm"/>
                        </ui:include>
                        <h:panelGroup rendered="#{identity.loggedIn}">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filterName" value="Creator"/>
                                <ui:param name="filterId" value="owner"/>
                                <ui:param name="filter" value="#{provInfoDirSUTConfManager.filter}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </h:panelGroup>
                        <ui:decorate template="/layout/form/_edit.xhtml">
                            <ui:define name="label">Usage</ui:define>
                            <ui:param name="id" value="usageFilter"/>
                            <h:selectOneMenu value="#{provInfoDirSUTConfManager.filteredUsage}"
                                             id="usageFilter" styleClass="form-control gzl-select-text">
                                <s:selectItems value="#{provInfoDirSUTConfManager.getPossibleListUsages()}"
                                               var="us" label="#{us.getLabelForFilter()}" noSelectionLabel="Show all"/>
                                <a4j:ajax event="change" render="globalForm"/>
                            </h:selectOneMenu>
                        </ui:decorate>
                    </ui:define>
                    <ui:param name="globalFormId" value="globalForm"/>
                </s:decorate>
                <s:decorate template="/sut/editSystemConfig_common.xhtml">
                    <ui:param name="confman" value="#{provInfoDirSUTConfManager}"/>
                    <ui:param name="restrictAccess" value="true"/>
                    <ui:param name="displayUsageSelection" value="true"/>
                    <ui:param name="displayUrlInput" value="true"/>
                    <ui:define name="additional_attributes">
                        <a4j:region id="dnRegion">
                            <s:decorate id="editDnDecorate" template="/layout/form/_edit.xhtml">
                                <ui:define name="label">#{messages['net.ihe.gazelle.hpd.BaseDN']}</ui:define>
                                <ui:param name="id" value="editDnValue"/>
                                <h:inputText id="editDnValue" value="#{confman.selectedSystemConfiguration.baseDN}"
                                             tabindex="1" maxlength="128" styleClass="form-control"
                                             required="true" requiredMessage="The Base DN is a required parameter">
                                    <a4j:ajax event="blur" render="editDnValue"/>
                                </h:inputText>
                            </s:decorate>
                        </a4j:region>
                    </ui:define>
                </s:decorate>
                <ui:include src="/sut/configModalPanel.xhtml">
                    <ui:param name="confman" value="#{provInfoDirSUTConfManager}"></ui:param>
                </ui:include>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
